Stacks
GET /stacks/{id}/errors
Lists all errors associated with a specific stack. Use this to diagnose issues with stack provisioning or operations. Supports pagination with `page` and `per_page` query parameters.
Authorization<token>
In: header
Path Parameters
id*string
Stack ID
Query Parameters
end_time?string
page?integer
per_page?integer
start_time?string
Response Body
application/json
application/json
application/json
curl -X GET "https://api.warpbuild.com/api/v1/stacks/string/errors"{
"errors": [
{
"category": "string",
"created_at": "string",
"error": "string",
"id": "string",
"metadata": {
"instance_id": "string",
"instance_preference_list": [
{
"availability_zone": "string",
"instance_type": "string",
"priority": 0,
"subnet_id": "string"
}
],
"requested_labels": [
"string"
]
},
"operation": "string",
"stack_id": "string"
}
],
"page": 0,
"per_page": 0,
"total_pages": 0,
"total_rows": 0
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}{
"code": "string",
"description": "string",
"message": "string",
"sub_code": "string",
"sub_message": "string"
}GET /stacks/{id}/actions
Lists all actions (operations) that have been performed on a stack. Actions include setup, upgrade, sync, and other infrastructure operations.
GET /stacks
Lists all infrastructure stacks for the authenticated organization. Stacks represent the cloud infrastructure configurations where runners will be deployed. Stacks can be filtered by cloud provider type (ec2, gce, avm) and status.